\pgfplotsset{
	scale only axis, % scale properly the plot
	legend pos = north east, % position of the legend
%
	ymajorgrids,
%
	width=0.9\linewidth,
	height=0.5\textheight,
%
	scaled x ticks=true,
	scaled y ticks=true,
%
}

\pgfplotstableset{
	col sep=semicolon,
}

\pgfplotsset{
	discard if/.style 2 args={
		x filter/.append code={
			\edef\tempa{\thisrow{#1}}
			\edef\tempb{#2}
			\ifx\tempa\tempb
			\def\pgfmathresult{inf}
			\fi
		}
	},
	discard if not/.style 2 args={
		x filter/.append code={
			\edef\tempa{\thisrow{#1}}
			\edef\tempb{#2}
			\ifx\tempa\tempb
			\else
			\def\pgfmathresult{inf}
			\fi
		}
	}
}